Package io.dapr.internal.grpc.interceptors

# Class DaprAppIdInterceptor

java.lang.Object
io.dapr.internal.grpc.interceptors.DaprAppIdInterceptor

All Implemented Interfaces:
  `io.grpc.ClientInterceptor`

public class DaprAppIdInterceptor extends Object implements io.grpc.ClientInterceptor
Class to be used as part of your service's client stub interceptor to include Dapr App Id metadata.

## Constructor Summary

Constructors
Constructor
Description
`DaprAppIdInterceptor(String appId)`

## Method Summary

Modifier and Type
Method
Description
`<ReqT, RespT>
io.grpc.ClientCall<ReqT,RespT>`
`interceptCall(io.grpc.MethodDescriptor<ReqT,RespT> methodDescriptor, io.grpc.CallOptions options, io.grpc.Channel channel)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DaprAppIdInterceptor

public DaprAppIdInterceptor(String appId)

## Method Details

### interceptCall

public <ReqT, RespT> io.grpc.ClientCall<ReqT,RespT> interceptCall(io.grpc.MethodDescriptor<ReqT,RespT> methodDescriptor, io.grpc.CallOptions options, io.grpc.Channel channel)

Specified by:
  `interceptCall` in interface `io.grpc.ClientInterceptor`